Name:           gimmix
Version:        0.5.6.1
Release:        2%{?dist}
Summary:        Graphical music player daemon (MPD) client

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://gimmix.berlios.de/
Source0:        http://download.berlios.de/gimmix/gimmix-0.5.6.1.tar.bz2
Source1:        gimmix.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  libmpd-devel
BuildRequires:  libglade2-devel
BuildRequires:  taglib-devel
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  libcurl-devel
BuildRequires:  libnxml-devel

%description
Gimmix is a graphical music player daemon (MPD) client written in C using
GTK+2. It's very simple and easy to use, yet offers many features to make
your audio experience a pleasant one.

%prep
%setup -q


%build
chmod -x src/*

%configure --enable-lyrics --enable-cover
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor="fedora"                    \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
  %{SOURCE1}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/gimmix
%{_datadir}/gimmix/
%{_datadir}/pixmaps/*
%{_datadir}/applications/fedora-gimmix.desktop
%{_mandir}/man1/gimmix*


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 24 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.5.6.1-1
- version upgrade

* Tue Jun 16 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.5.2-3
- rebuild for new libmpd

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 23 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.5.2-1
- version upgrade
- build against libnxml

* Sat Oct 04 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.5.1-1
- version upgrade

* Mon Feb 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0.4.2-3
- Rebuilt for gcc43

* Sat Jan 05 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.4.2-2
- license should be GPLv2+ as stated in the source file headers

* Sun Dec 30 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.4.2-1
- version upgrade
